#ifndef SLIKE_H
#define SLIKE_H

#include "tipovi.h"

// Funkcija koja kreira jednostruko ulancanu listu piksela koje cita iz fajla cije je ime dato jedinim parametrom funkcije
Elem* ucitaj_listu_piksela(char* ime_fajla);

// Funkcija koja ispisuje sve piksele koje se nalaze u listi na ciji prvi element pokazuje pokazivac 'glava'
void prikaz_piksela(Elem* glava);

// Funkcija koja oslobadja prostor iz dinamicke memorije jednostruke ulancane liste na ciji prvi element pokazuje pokazivac 'glava'
void oslobodi_memoriju(Elem* glava);

// Funkcija koja predvidja boju jabuke na osnovu dominantne boje jednostruke ulancane liste piksela na ciji prvi element pokazuje pokazivac 'glava'
void predvidi_boju_na_osnovu_dominantne_boje(Elem* glava);

#endif