// Ukljucivanje korisnickog header fajla
#include "ocene.h"
// Ukljucivanje biblioteckog header fajla
#include <stdio.h>

// Define direktiva uvodi novu imenovanu konstantu.
// Svako pojavljivanje konstante MAX se ekspanduje u broj 100 pre kompilacije programa (preprocessor)
#define MAX 100

// Glavna funkcija u C programu
void main() {

	// Staticki niz sa 100 elemenata
	int ocene[MAX];

	// Pozivom funkcije unesi_ocene korisnik unosi ocene i kao povratnu vrednost dobijamo broj ocena koje je uneo
	int broj_studenata;
	broj_studenata = unesi_ocene(ocene, MAX);

	int radi = 1;
	// U beskonacnoj petlji trazimo od korisnika da odabere sta zeli sa nizom da radi
	while (radi) {
		printf("\nOdaberite opciju:\n1. Prikaz prosecne ocene\n2. Prikaz broja studenata koji su polozili ispit\n3. Ispis sortiranih ocena\n4. Prikaz ucestalosti svake od ocena\n0. Prekid programa\n\n");
		int izbor;
		scanf_s("%d", &izbor);
		// U zavisnosti od unesenog izbora, poziva se jedna od funkcija
		switch (izbor) {
		case 1:
			prikaz_prosecne_ocene(ocene, broj_studenata);
			break;
		case 2:
			prikaz_broja_polozenih(ocene, broj_studenata);
			break;
		case 3:
			ispis_ocena_sortirano(ocene, broj_studenata);
			break;
		case 4:
			prikaz_ucestalosti_ocena(ocene, broj_studenata);
			break;
		case 0:
			radi = 0;
			break;
		default:
			break;
		}
	}
	
}