#include <stdio.h>
#include "ocene.h"

int unesi_ocene(int ocene[], int velicina_niza) {
	printf("Unesite ocene (5 - 10) jednu po jednu. Za prekid unosa unesite -1.\n");
	int broj_studenata = 0;
	for(int i = 0; i < velicina_niza; i++) {
		int ocena;
		scanf_s("%d", &ocena);
		if (ocena == -1) break;
		if (ocena < 5 || ocena > 10) {
			i--;
			continue;
		}
		ocene[i] = ocena;
		broj_studenata = i + 1;
	}
	return broj_studenata;
}

void prikaz_prosecne_ocene(int ocene[], int broj_studenata) {
	float zbir_ocena = 0.0;
	for (int i = 0; i < broj_studenata; i++) {
		zbir_ocena += ocene[i];
	}
	printf("Prosecna ocena studenata na ispitu je: %.2f\n", zbir_ocena / broj_studenata);
}

void prikaz_broja_polozenih(int ocene[], int broj_studenata) {
	int broj_polozenih = 0;
	for (int i = 0; i < broj_studenata; i++) {
		if (ocene[i] > 5) broj_polozenih++;
	}
	printf("Broj studenata koji su polozili ispit je: %d\n", broj_polozenih);
}

void ispis_ocena_sortirano(int ocene[], int broj_studenata) {
	for (int i = 0; i < broj_studenata - 1; i++) {
		for (int j = i + 1; j < broj_studenata; j++) {
			if (ocene[i] > ocene[j]) {
				int tmp = ocene[i];
				ocene[i] = ocene[j];
				ocene[j] = tmp;
			}
		}
	}
	printf("Sortirane ocene:\n");
	for (int i = 0; i < broj_studenata; i++) {
		printf("%d ", ocene[i]);
	}
	printf("\n");
}

void prikaz_ucestalosti_ocena(int ocene[], int broj_studenata) {
	// Niz u kojem cuvamo ucestalosti ocene 5, 6, itd.
	int ucestalosti[] = { 0, 0, 0, 0, 0, 0 }; // 5, 6, 7, 8, 9, 10
	for (int i = 0; i < broj_studenata; i++) {
		// U zavisnosti od ocene na poziciji 'i', indeksirace se odgovarajuci element niza 'ucestalosti'
		ucestalosti[ocene[i] - 5]++;
	}
	for (int i = 0; i < 6; i++) {
		printf("Ucestalost ocene %d: %d\n", i + 5, ucestalosti[i]);
	}
}
