#ifndef OCENE_H
#define OCENE_H

// Funkcija kojom se od korisnika trazi da unese ocene
// Unesene ocene se smestaju u niz 'ocene' cija je maksimalna velicina data parametrom 'velicina_niza'
int unesi_ocene(int ocene[], int velicina_niza);

// Funkcija koja prikazuje prosecnu ocenu na standardnom izlazu
// Ocene se nalaze u nizu 'ocene' ciji je broj elemenata odredjen parametrom 'broj_studenata'
void prikaz_prosecne_ocene(int ocene[], int broj_studenata);

// Funkcija koja prikazuje broj studenata koji su polozili ispit na standardnom izlazu
// Ocene se nalaze u nizu 'ocene' ciji je broj elemenata odredjen parametrom 'broj_studenata'
void prikaz_broja_polozenih(int ocene[], int broj_studenata);

// Funkcija koja prikazuje niz sortiranih ocena na standardnom izlazu
// Ocene se nalaze u nizu 'ocene' ciji je broj elemenata odredjen parametrom 'broj_studenata'
void ispis_ocena_sortirano(int ocene[], int broj_studenata);

// Funkcija koja prikazuje ucestalost svake od ocena na standardnom izlazu
// Ocene se nalaze u nizu 'ocene' ciji je broj elemenata odredjen parametrom 'broj_studenata'
void prikaz_ucestalosti_ocena(int ocene[], int broj_studenata);

#endif 
