#include "slike.h"
#include "tipovi.h"
#include <stdio.h>

// Argumenti komandne linije se nalaze u nizu 'argv'
// Na nultoj poziciji u nizu se uvek nalazi ime programa (obavezan argument komandne linije)
// Parametar 'argc' sadrzi broj argumenata komandne linije
void main(int argc, char* argv[]) {

	// Prvi argument komandne linije je ime fajla iz kojeg ucitavamo piksele
	Elem* glava = ucitaj_listu_piksela(argv[1]);

	int radi = 1;
	while (radi) {
		printf("\nOdaberte opciju:\n1. Prikaz piksela\n2. Predvidjanje boje na osnovu dominantne boje\n0. Prekid programa\n");
		int opcija;
		scanf_s("%d", &opcija);
		switch (opcija) {
		case 1:
			prikaz_piksela(glava);
			break;
		case 2:
			predvidi_boju_na_osnovu_dominantne_boje(glava);
			break;
		case 0:
			// Pre kraja programa obavezno moramo da uklonimo sve iz dinamicke memorije
			oslobodi_memoriju(glava);
			radi = 0;
			break;
		default:
			break;
		}
	}

}